Bug 51204 - [Qt] QtWebKit does not build if QT_NO_QFUTURE is defined
Summary: [Qt] QtWebKit does not build if QT_NO_QFUTURE is defined
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Blocker
Assignee: Jocelyn Turcotte
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 50251
  Show dependency treegraph
 
Reported: 2010-12-16 11:59 PST by Laszlo Gombos
Modified: 2011-01-11 08:19 PST (History)
4 users (show)

See Also:


Attachments
Patch (10.92 KB, patch)
2011-01-11 05:05 PST, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Gombos 2010-12-16 11:59:48 PST
Some ports of Qt (notably the Symbian port) does not (yet) support QFuture and QtConcurrent - see http://bugreports.qt.nokia.com/browse/QTBUG-5182.
QtWebKit introduced a hard dependency on QFuture with r73710. this dependency should be build time configurable (with QT_NO_QFUTURE) to support Symbian port of QtWebKit.
Comment 1 Jocelyn Turcotte 2010-12-17 07:43:24 PST
(In reply to comment #0)

Ok, I didn't know about that. The goal of using QFuture was to make the synchronization code simpler, so having two implementations depending on QT_NO_FUTURE isn't necessary. I think we should replace its use by something supported everywhere.

I can take care of that after the Christmas vacations if it can wait.
Comment 2 Laszlo Gombos 2010-12-20 14:44:11 PST
Thanks Jocelyn, I assigned the bug to you. The approach you suggested sounds good to me.
Comment 3 Siddharth Mathur 2011-01-10 13:06:18 PST
Gentle nudge to Jocelyn about fixing the code from Bug 50080 for Symbian. :)
Comment 4 Jocelyn Turcotte 2011-01-11 05:05:13 PST
Created attachment 78518 [details]
Patch
Comment 5 WebKit Commit Bot 2011-01-11 08:19:21 PST
Comment on attachment 78518 [details]
Patch

Clearing flags on attachment: 78518

Committed r75502: <http://trac.webkit.org/changeset/75502>
Comment 6 WebKit Commit Bot 2011-01-11 08:19:27 PST
All reviewed patches have been landed.  Closing bug.